<%--
/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */
--%>

<%@ include file="/info/item/renderer/init.jsp" %>

<%
ObjectEntry objectEntry = (ObjectEntry)request.getAttribute(ObjectWebKeys.OBJECT_ENTRY);

String friendlyURL = assetDisplayPageFriendlyURLProvider.getFriendlyURL(objectEntry.getModelClassName(), objectEntry.getObjectEntryId(), themeDisplay);

Map<String, Serializable> objectEntryValues = (Map<String, Serializable>)request.getAttribute(ObjectWebKeys.OBJECT_ENTRY_VALUES);

for (Map.Entry<String, Serializable> entry : objectEntryValues.entrySet()) {
%>

	<td class="table-cell-expand-smallest">
		<c:choose>
			<c:when test="<%= entry.getValue() instanceof Link %>">

				<%
				Link fileEntryLink = (Link)entry.getValue();
				%>

				<a class="text-truncate-inline" href="<%= fileEntryLink.getHref() %>">
					<span class="text-truncate"><%= fileEntryLink.getLabel() %></span>
				</a>
			</c:when>
			<c:otherwise>
				<c:choose>
					<c:when test="<%= Validator.isNotNull(friendlyURL) %>">
						<a class="text-truncate-inline" href="<%= friendlyURL %>">
							<span class="text-truncate"><%= entry.getValue() %></span>
						</a>
					</c:when>
					<c:otherwise>
						<span class="text-truncate-inline">
							<span class="text-truncate"><%= entry.getValue() %></span>
						</span>
					</c:otherwise>
				</c:choose>
			</c:otherwise>
		</c:choose>
	</td>

<%
}
%>